# Generated from shopify-junos-ez-stdlib-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name shopify-junos-ez-stdlib

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: Junos EZ Framework - Standard Libraries
License: BSD-2-Clause
URL: https://github.com/Juniper/ruby-junos-ez-stdlib
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.49.0
# BuildRequires: rubygem(rubocop) < 0.50
BuildArch: noarch

%description
Automation Framework for Junos/NETCONF:  Facts, Providers, and Utils.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/SUGGESTION-BOX
%{gem_instdir}/dev.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/examples
%{gem_instdir}/junos-ez-stdlib.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.3-1
- Initial package
